## 머핀봇 개인정보처리방침

머핀봇(이하 "본 서비스")은 이용자의 개인정보를 중요하게 생각하며, **「개인정보보호법」 등 관련 법규를 준수하여 이용자의 개인정보 보호에 최선을 다하고 있습니다.** 본 개인정보처리방침은 본 서비스가 어떤 개인정보를 수집하고, 수집한 정보를 어떻게 이용하며, 이용자의 권리는 무엇인지 등에 대한 정보를 담고 있습니다.

---

### 1. 개인정보의 수집 및 이용 목적

본 서비스는 다음의 목적을 위해 개인정보를 수집하고 이용합니다. 수집한 개인정보는 아래 명시된 목적 이외의 용도로는 사용되지 않으며, 이용 목적이 변경될 시에는 사전에 동의를 구할 예정입니다.

- **서비스 제공:** 디스코드 채널 내에서 챗봇 기능을 제공하고, 이용자의 질의에 답변하는 등 원활한 서비스 운영을 위해 개인정보를 이용합니다.

---

### 2. 수집하는 개인정보 항목

본 서비스는 서비스 제공을 위해 최소한의 개인정보를 수집하고 있습니다.

- **필수 수집 항목:** Discord User ID, 이용자가 본 서비스에게 전송한 채팅 내용
- **수집 방법:** 챗봇 이용 시 자동으로 수집

---

### 3. 개인정보의 보유 및 이용 기간

본 서비스는 법령에 따른 개인정보 보유∙이용 기간 또는 이용자로부터 개인정보 수집 시에 동의 받은 개인정보 보유∙이용 기간 내에서 개인정보를 처리∙보유합니다.

- **보유 기간:** 서비스 제공을 위한 목적 달성 시까지. 다만, 관련 법령에 의해 보존할 필요가 있는 경우 해당 법령에 따릅니다.

---

### 4. 개인정보의 제3자 제공

본 서비스는 이용자의 개인정보를 "1. 개인정보의 수집 및 이용 목적"에서 명시한 범위를 초과하여 이용하거나 타인 또는 타 기업/기관에 제공하지 않습니다. 다만, 이용자가 사전에 동의했거나 관련 법령에 의거하여 요구되는 경우는 예외로 합니다.

---

### 5. 개인정보 처리 위탁

본 서비스는 원활한 서비스 제공을 위해 다음과 같이 개인정보 처리 업무를 위탁하고 있습니다.

- **위탁 대상:** Google (Gemini API)
- **위탁 업무 내용:** 이용자의 채팅 내용을 분석하여 답변을 생성하는 등 챗봇 서비스 기능 구현

위탁 계약 시 **「개인정보보호법」 제26조**에 따라 위탁업무 수행 목적 외 개인정보 처리 금지, 기술적·관리적 보호조치, 재위탁 제한, 손해배상 등 책임에 관한 사항을 문서에 명시하고, 수탁자가 개인정보를 안전하게 처리하는지 감독하고 있습니다.

---

### 6. AI 모델 학습 및 활용에 대한 안내

본 서비스는 Google에서 제공하는 **Gemini API를 활용하여 서비스를 운영합니다.** Google의 정책에 따라 본 서비스를 통해 오고 가는 **이용자의 채팅 내용이 Google의 서비스 개선 및 AI 모델 학습을 위해 사용될 수 있습니다.** 이 과정에서 개인 식별 정보는 제외되거나 비식별화되어 처리될 수 있습니다.

이용자는 이러한 AI 모델 학습 및 활용에 동의하지 않을 경우 본 서비스의 이용을 중단할 수 있습니다. Google의 개인정보 처리 방침에 대한 자세한 내용은 다음 링크를 참고하시기 바랍니다.

- **Google 개인정보처리방침:** [https://policies.google.com/privacy?hl=ko](https://policies.google.com/privacy?hl=ko)
- **Gemini 앱 개인 정보 보호 허브:** [https://support.google.com/gemini/answer/13594961?hl=ko](https://support.google.com/gemini/answer/13594961?hl=ko)

---

### 7. 정보주체 및 법정대리인의 권리·의무 및 그 행사 방법

이용자는 개인정보주체로서 다음과 같은 권리를 행사할 수 있습니다.

- **개인정보 열람 요구:** 본 서비스가 처리하는 이용자의 개인정보에 대한 열람을 요구할 수 있습니다.
- **오류 등이 있을 경우 정정∙삭제 요구:** 개인정보에 오류가 있거나 보존 기간이 만료된 경우 정정 또는 삭제를 요구할 수 있습니다.
- **처리정지 요구:** 개인정보 처리에 대한 정지를 요구할 수 있습니다.
- **서비스 탈퇴 시 정보 삭제:** **이용자가 본 서비스를 탈퇴할 경우, 이용자의 Discord User ID 및 모든 채팅 기록은 즉시 삭제됩니다.**

위 권리 행사는 **본 서비스의 관리자에게 디스코드 메시지 등을 통해 요청**하실 수 있으며, 본 서비스는 이에 대해 지체 없이 조치하겠습니다. 이용자가 개인정보의 오류에 대한 정정 또는 삭제를 요청한 경우에는 정정 또는 삭제를 완료하기 전까지 해당 개인정보를 이용하거나 제공하지 않습니다.

---

### 8. 개인정보 파기 절차 및 방법

본 서비스는 개인정보 보유 기간의 경과, 처리 목적 달성 등 개인정보가 불필요하게 되었을 때에는 지체 없이 해당 개인정보를 파기합니다.

- **파기 절차:**
  - **이용자가 본 서비스를 탈퇴할 경우, 이용자의 Discord User ID 및 모든 채팅 기록은 즉시 파기됩니다.**
  - 그 외 이용자가 입력한 채팅 내용은 서비스 목적 달성 후 즉시 파기됩니다.
- **파기 방법:** 기록된 개인정보는 복구 또는 재생되지 않도록 기술적인 방법을 사용하여 완전하게 삭제합니다.

---

### 9. 개인정보의 안전성 확보 조치

본 서비스는 이용자의 개인정보를 안전하게 관리하기 위해 **「개인정보보호법」 제29조**에 따라 다음과 같은 기술적∙관리적 및 물리적 조치를 취하고 있습니다.

- **기술적 조치:** 개인정보처리시스템에 대한 접근 통제, 암호화 등의 보안 조치 적용.
- **관리적 조치:** 개인정보 취급자의 최소화 및 개인정보 보호 교육 실시.
- **물리적 조치:** 개인정보가 저장된 시스템의 접근 통제.

---

### 10. 개인정보 보호책임자

본 서비스는 개인정보 처리에 관한 업무를 총괄하고 개인정보 처리와 관련한 이용자의 불만 처리 및 피해 구제 등을 위하여 아래와 같이 개인정보 보호책임자를 지정하고 있습니다.

- **개인정보 보호책임자:** 전시우 (Migan)
- **연락처:**
  - **Discord:** migan.
  - **이메일:** me@migan.co.kr

이용자는 본 서비스의 이용 중 발생하는 모든 개인정보 보호 관련 문의, 불만 처리, 피해 구제 등에 관한 사항을 개인정보 보호책임자에게 문의할 수 있습니다.

---

### 11. 고지의 의무

본 개인정보처리방침은 법령 및 방침에 따른 변경 내용 추가, 삭제 및 정정이 있을 경우 변경되는 개인정보처리방침을 시행하기 최소 7일 전에 이용자에게 디스코드 DM 또는 봇 상태 메시지 등을 통해 고지할 것입니다. 다만, 이용자의 디스코드 설정에 따라 DM 수신이 불가능하거나 상태 메시지를 확인하지 못할 수 있으므로, 주기적으로 개인정보처리방침을 확인하시기를 권장합니다.

- **시행일:** 2025년 6월 20일
