## 머핀봇 서비스 이용약관

### 제1조 (목적)

본 약관은 머핀봇(이하 "본 서비스")이 제공하는 AI 챗봇 서비스의 이용과 관련하여, 본 서비스와 이용자 간의 권리, 의무 및 책임 사항, 기타 필요한 사항을 규정함을 목적으로 합니다.

---

### 제2조 (용어의 정의)

1.  "본 서비스"는 머핀봇 AI 챗봇을 의미하며, 디스코드 플랫폼 내에서 운영됩니다.
2.  "이용자"는 본 약관에 따라 본 서비스가 제공하는 서비스를 이용하는 모든 사용자를 의미합니다.
3.  "콘텐츠"는 이용자가 본 서비스를 통해 입력하거나, 본 서비스가 이용자의 요청에 따라 생성하여 제공하는 정보(텍스트, 이미지 등)를 의미합니다.

---

### 제3조 (약관의 효력 및 변경)

1.  본 약관은 이용자가 디스코드 서버에 본 서비스를 초대하거나, 본 서비스를 이용하기 시작한 시점부터 효력이 발생합니다.
2.  본 서비스는 필요한 경우 관련 법령을 위배하지 않는 범위 내에서 본 약관을 변경할 수 있습니다.
3.  약관이 변경될 경우, 본 서비스는 변경된 약관의 적용일 최소 7일 전부터 이용자에게 디스코드 DM 또는 봇 상태 메시지 등을 통해 고지합니다. 다만, 이용자의 디스코드 설정에 따라 DM 수신이 불가능하거나 상태 메시지를 확인하지 못할 수 있으므로, 이용자는 주기적으로 약관을 확인해야 합니다.
4.  이용자가 변경된 약관의 고지일로부터 7일 이내에 거부 의사를 표시하지 않거나, 변경된 약관 시행일 이후에도 본 서비스를 계속 이용하는 경우 해당 변경 사항에 동의한 것으로 간주합니다.

---

### 제4조 (서비스의 제공)

1.  본 서비스는 디스코드 플랫폼 내에서 AI 챗봇 기능을 제공합니다.
2.  서비스는 연중무휴, 1일 24시간 제공을 원칙으로 합니다. 다만, 시스템 점검, 증설, 교체 및 고장, 통신 두절 등 운영상 또는 기술상의 이유로 서비스 제공이 일시적으로 중단될 수 있습니다.
3.  본 서비스는 Google의 Gemini API를 활용하며, AI 모델의 특성상 항상 정확하거나 완전한 정보를 제공하지 않을 수 있습니다. 서비스 답변의 오류, 지연 등으로 인해 발생하는 손해에 대해 본 서비스는 책임지지 않습니다.

---

### 제5조 (이용 계약의 성립 및 해지)

1.  이용자는 본 서비스를 디스코드 서버에 초대하거나, 본 서비스를 이용하기 시작하는 시점에 본 약관에 동의한 것으로 간주되어 이용 계약이 성립됩니다.
2.  이용자는 언제든지 본 서비스를 디스코드 서버에서 추방하거나, 본 서비스가 제공하는 특정 명령어를 통해 서비스 이용을 해지할 수 있습니다.
3.  이용 계약이 해지될 경우, 이용자의 Discord User ID 및 모든 채팅 기록은 개인정보처리방침에 따라 즉시 파기됩니다.

---

### 제6조 (이용자의 의무)

이용자는 본 서비스 이용 시 다음 각 호의 행위를 하여서는 안 됩니다.

1.  다른 이용자의 Discord User ID 등 개인정보를 무단으로 수집, 저장, 유포하는 행위
2.  본 서비스를 이용하여 법령, 공공질서 및 미풍양속에 위반되는 내용을 유포하거나 게시하는 행위 (예: 음란물, 폭력물, 사행성 조장, 차별, 비방, 허위사실 유포 등)
3.  타인의 명예를 훼손하거나 불이익을 주는 행위
4.  본 서비스의 정상적인 운영을 방해하거나 시스템에 부하를 주는 행위 (예: 단시간 내 과도한 요청, 비정상적인 반복 사용 등)
5.  본 서비스의 저작권, 타인의 저작권 등 지적재산권을 침해하는 행위
6.  컴퓨터 바이러스 유포, 해킹 등 정보통신망의 안전을 위협하는 행위
7.  본 서비스를 상업적인 목적으로 무단 이용하는 행위 (별도의 계약이 없는 한)
8.  기타 본 약관을 위반하는 행위

---

### 제7조 (서비스의 제한 및 중지)

1.  본 서비스는 이용자가 제6조(이용자의 의무)를 위반하거나, 서비스의 정상적인 운영을 방해하는 경우, 경고, 일시 정지, 또는 영구적인 이용 정지 등 서비스 이용을 제한하거나 중지할 수 있습니다.
2.  본 서비스가 이용을 제한하는 경우, 해당 이용자에게 그 사유 및 제한 기간 등을 디스코드 DM을 통해 통보할 수 있습니다.
3.  본 서비스는 본 약관에 따라 이용을 제한하거나 중지하여 발생한 이용자의 손해에 대해서는 배상 책임을 지지 않습니다.

---

### 제8조 (저작권 및 콘텐츠)

1.  이용자가 본 서비스를 통해 입력하는 모든 정보(프롬프트 등)에 대한 저작권은 해당 이용자에게 있습니다.
2.  본 서비스가 이용자의 요청에 따라 생성하는 답변 콘텐츠의 저작권은 Google의 정책 및 관련 법령에 따라 Google 또는 본 서비스에 귀속될 수 있습니다. 본 서비스는 생성된 콘텐츠에 대한 어떠한 저작권 주장을 하지 않으며, 이용자는 이를 자유롭게 비상업적 목적으로 활용할 수 있습니다. 단, 상업적 이용 시에는 관련 법령 및 저작권자의 권리를 침해하지 않도록 유의해야 합니다.
3.  이용자는 본 서비스를 통해 생성된 콘텐츠를 불법적이거나 부적절한 목적으로 사용해서는 안 됩니다.

---

### 제9조 (면책 조항)

1.  본 서비스는 천재지변 또는 이에 준하는 불가항력으로 인하여 서비스를 제공할 수 없는 경우에는 서비스 제공에 관한 책임이 면제됩니다.
2.  본 서비스는 이용자의 귀책사유로 인한 서비스 이용의 장애에 대하여는 책임을 지지 않습니다.
3.  본 서비스는 이용자가 서비스에 게시한 정보, 자료, 사실의 신뢰도 및 정확성 등에 대하여 보증하지 않으며, 이로 인해 발생한 이용자의 손해에 대해 책임을 지지 않습니다.
4.  본 서비스는 이용자 상호 간 또는 이용자와 제3자 간에 서비스를 매개로 발생한 분쟁에 대하여 개입할 의무가 없으며, 이로 인한 손해를 배상할 책임이 없습니다.

---

### 제10조 (분쟁 해결 및 관할 법원)

1.  본 서비스 이용과 관련하여 본 서비스와 이용자 사이에 분쟁이 발생한 경우, 당사자 간의 합의를 통해 원만히 해결하도록 노력합니다.
2.  제1항의 협의에도 불구하고 분쟁이 해결되지 않아 소송이 제기될 경우, 대한민국 법률이 적용되며, 소송은 민사소송법상의 관할 법원을 제1심 전속 관할 법원으로 합니다.

---

### 부칙

본 약관은 2025년 6월 20일부터 시행됩니다.
